-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module ChemicalsApi.Object.Component exposing (..)

import ChemicalsApi.InputObject
import ChemicalsApi.Interface
import ChemicalsApi.Object
import ChemicalsApi.Scalar
import ChemicalsApi.Union
import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode


id : SelectionSet CustomScalarCodecs.Id ChemicalsApi.Object.Component
id =
    Object.selectionForField "CustomScalarCodecs.Id" "id" [] (CustomScalarCodecs.codecs |> ChemicalsApi.Scalar.unwrapCodecs |> .codecId |> .decoder)


chemicalName : SelectionSet String ChemicalsApi.Object.Component
chemicalName =
    Object.selectionForField "String" "chemicalName" [] Decode.string


commonName : SelectionSet String ChemicalsApi.Object.Component
commonName =
    Object.selectionForField "String" "commonName" [] Decode.string


casNumber : SelectionSet String ChemicalsApi.Object.Component
casNumber =
    Object.selectionForField "String" "casNumber" [] Decode.string


substanceNumber : SelectionSet String ChemicalsApi.Object.Component
substanceNumber =
    Object.selectionForField "String" "substanceNumber" [] Decode.string


tradeSecretNumber : SelectionSet String ChemicalsApi.Object.Component
tradeSecretNumber =
    Object.selectionForField "String" "tradeSecretNumber" [] Decode.string
